import { Guild, Message, Interaction } from 'discord.js';
import { Module, Bot } from 'pure-cat';

declare class EventLog extends Module {
    ready(bot: Bot): Promise<void>;
    guildCreate(bot: Bot, guild: Guild): Promise<void>;
    messageCreate(bot: Bot, message: Message): Promise<void>;
    interactionCreate(bot: Bot, interaction: Interaction): Promise<void>;
}

export { EventLog };
